Incident Operation Records Query¶
GET /api/v1/incidents/operate/{incident_uuid}/list
Overview¶
Route Parameters¶
| Parameter Name | Type | Required | Description |
|---|---|---|---|
| incident_uuid | string | Y | Incident UUID Allow empty: False |
Query Parameters¶
| Parameter Name | Type | Required | Description |
|---|---|---|---|
| pageSize | integer | Number of items per page Allow empty: False Example: 10 |
|
| pageIndex | integer | Page number Allow empty: False Example: 1 |
Parameter Supplementary Description¶
Request Example¶
curl 'https://openapi.truewatch.com/api/v1/incidents/operate/incident_xxxx/list?pageIndex=1&pageSize=20' \
-H 'DF-API-KEY: <DF-API-KEY>' \
-H 'Content-Type: application/json;charset=UTF-8' \
--compressed
Response¶
{
"code": 200,
"content": {
"data": [
{
"incidentsUUID": "incident_xxx",
"workspaceUUID": "wksp_xxx",
"content": "Status change: open -> working",
"extend": {
"after": "working",
"before": "open",
"after_info": {},
"before_info": {}
},
"operator": "acnt_xxx",
"operateType": "status_update",
"id": 436,
"uuid": "incop_xxxx",
"status": 0,
"creator": "SYS",
"updator": "",
"createAt": 1768973255,
"deleteAt": -1,
"updateAt": -1,
"creatorInfo": {
"uuid": "",
"status": 0,
"name": "SYS",
"wsAccountStatus": 0,
"username": "SYS",
"email": "SYS",
"mobile": ""
},
"updatorInfo": {},
"operatorInfo": {
"uuid": "acnt_xxxx",
"status": 0,
"wsAccountStatus": 0,
"username": "xxx",
"name": "xxx",
"iconUrl": "",
"email": "xxx",
"mobile": "",
"acntWsNickname": ""
}
},
{
"incidentsUUID": "incident_xxx",
"workspaceUUID": "wksp_xxx",
"content": "A new Incident was triggered",
"extend": {},
"operator": "Obsy",
"operateType": "create",
"id": 435,
"uuid": "incop_xxx",
"status": 0,
"creator": "SYS",
"updator": "",
"createAt": 1768926015,
"deleteAt": -1,
"updateAt": -1,
"creatorInfo": {
"uuid": "",
"status": 0,
"name": "SYS",
"wsAccountStatus": 0,
"username": "SYS",
"email": "SYS",
"mobile": ""
},
"updatorInfo": {},
"operatorInfo": {
"uuid": "Obsy",
"status": 0,
"name": "Obsy",
"wsAccountStatus": 0,
"username": "Obsy",
"email": "Obsy",
"mobile": ""
}
}
],
"pageInfo": {
"pageIndex": 1,
"pageSize": 20,
"count": 2,
"totalCount": 2
}
},
"errorCode": "",
"message": "",
"success": true,
"traceId": "xxx"
}